Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update JNA to 5.5 (was: Update JNA to 4.5/5.2/5.3) [JDBC509] #545

Closed
firebird-issue-importer opened this issue Sep 18, 2017 · 23 comments
Closed

Comments

@firebird-issue-importer

Submitted by: @artyom-smirnov

Relate to JDBC575

In JNA 4.4 native libraries required glibc 2.14 which restrict running on older distributives, but in JNA 4.5 native libraries were recompiled with glibc 2.7.

https://github.com/java-native-access/jna/blob/master/CHANGES.md#release-450

Commits: e6a3104 8b2ee67 2100390 194e2e3 b9c5f05 bf3e9a1 89f75e2 4632071

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 18, 2017

Modified by: @artyom-smirnov

Component: JNI/JNA layer [ 10051 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Sep 19, 2017

Commented by: @mrotteveel

I haven't tested it yet, but scanning the release notes, it should not be a problem to upgrade it yourself as a workaround.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Oct 27, 2018

Commented by: @mrotteveel

Update to latest JNA available before Jaybird 4 beta

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Oct 27, 2018

Modified by: @mrotteveel

Fix Version: Jaybird 4 [ 10441 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Feb 5, 2019

Commented by: Julien Nabet (julien2412)

I submitted a pull request here:
#21

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Feb 9, 2019

Modified by: @mrotteveel

Link: This issue relate to JDBC575 [ JDBC575 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Feb 9, 2019

Modified by: @mrotteveel

summary: Update JNA to 4.5 => Update JNA to 5.2 (was 4.5)

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Feb 9, 2019

Commented by: @mrotteveel

Merge request was merged to update to JNA 5.2, see JDBC575 for a problem that surfaced as a result (although it is unlikely the problem is directly related to the JNA update).

This ticket is kept open with the intent to upgrade if a newer version is released before Jaybird 4 release.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Feb 9, 2019

Commented by: Julien Nabet (julien2412)

The pull request has been merged.

Now, as I said in the comments of pull request, I don't know at all the glibc used here.

Artyom: could you give a new try when a beta including the patch would be released?

Meanwhile, considering the title of this tracker, we should be able to close this one.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Feb 9, 2019

Modified by: @mrotteveel

summary: Update JNA to 5.2 (was 4.5) => Update JNA to 5.2 (was: Update JNA to 4.5)

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Feb 9, 2019

Commented by: Julien Nabet (julien2412)

Sorry Mark, I had missed your comment.
Let's keep this tracker opened then.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Feb 9, 2019

Commented by: @mrotteveel

My intent is to keep this ticket open for now.

As far as the glibc related issues, nothing in the JNA release notes suggests that they have upgraded again. Given I didn't switch from Native.loadLibrary to Native.load, people who run into issues should be able downgrade to a suitable 4.x version if it is really necessary.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Apr 27, 2019

Modified by: @mrotteveel

summary: Update JNA to 5.2 (was: Update JNA to 4.5) => Update JNA to 5.3 (was: Update JNA to 4.5/5.2)

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Apr 27, 2019

Commented by: @mrotteveel

Upgraded to 5.3. Unless important issues arise, JNA 5.3.0 will be the version for all Jaybird 4 versions.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Apr 27, 2019

Modified by: @mrotteveel

status: Open [ 1 ] => Resolved [ 5 ]

resolution: Fixed [ 1 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Jul 20, 2019

Commented by: @mrotteveel

Reopened for upgrading to JNA 5.4 or later

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Jul 20, 2019

Modified by: @mrotteveel

status: Resolved [ 5 ] => Reopened [ 4 ]

resolution: Fixed [ 1 ] =>

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Jul 20, 2019

Modified by: @mrotteveel

Fix Version: Jaybird 4.0.0 [ 10903 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Jul 20, 2019

Modified by: @mrotteveel

summary: Update JNA to 5.3 (was: Update JNA to 4.5/5.2) => Update JNA to 5.4 (was: Update JNA to 4.5/5.2/5.3)

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Jan 20, 2020

Modified by: @mrotteveel

summary: Update JNA to 5.4 (was: Update JNA to 4.5/5.2/5.3) => Update JNA to 5.5 (was: Update JNA to 4.5/5.2/5.3)

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 1, 2020

Commented by: @mrotteveel

Updated to JNA 5.5.0

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 1, 2020

Modified by: @mrotteveel

status: Reopened [ 4 ] => Resolved [ 5 ]

resolution: Fixed [ 1 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 14, 2020

Modified by: @mrotteveel

status: Resolved [ 5 ] => Closed [ 6 ]

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants